function player_load()

	player={}
		player.img=love.graphics.newImage("graph/player/ply_idle.png")
		player.x=400
		player.y=368
		player.speed=0
		player.grav=1.5
		player.inAir=false


end


function player_update(dt)
	
	frame=dt*30
	player.ySpeed = player.speed + player.grav * frame -- We add gravity to the ySpeed
	player.y = player.y + player.speed * frame -- We add ySpeed to the player's y position
	
	if player.y > 400 then -- Are we on the ground?
		player.y = player.y - player.speed * frame -- If we are, We undo that moving down
		player.speed = 0 -- The ySpeed is reset
		player.inAir = false
	end

	--chodzenie lewo, prawo
	if love.keyboard.isDown("right") then
		player.x=player.x+dt*128
	elseif love.keyboard.isDown("left") then
		player.x=player.x-dt*128
	end
	
		
	
end


function player_draw()
	love.graphics.draw(player.img,player.x,player.y)


end



function player_keypressed(key)

	if key=="up" and player.y < 400 and not player.inAir   then
	 
      player.speed = -20 -- Make us add a negative, to move up
      player.inAir = true
		
	end
end



